/* 这是音乐播放器用的css */

#player * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#player {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 310px;
}
/* 歌曲信息模块 */
#player-content1 {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 310px;
    height: 50px;
    padding: 0 5px 0 120px;
    background: #888888; /* 歌曲信息模块背景颜色 （歌曲名 歌手名 进度条的背景图） */
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    /* transition过渡动画：设置top属性过渡，过渡时间0.3s,速度曲线为ease(逐渐变慢) */
    transition: top 0.3s ease;
}

    #player-content1.active {
        top: -50px;
         /*display:block;*/ 
    }

.music-name,
.artist-name {
    height: 20px;
    margin-top: 5px;
    font-size: 16px;
    color: white /* 歌曲名、歌手名 颜色 */
}

.artist-name {
    height: 15px;
    margin-top: 0px;
    font-size: 12px;
    text-align: right; /* 歌手名右对齐 */
}

.time {
    font-size: 12px;
    height: 15px;
    margin: 0px 0;
}

.current-time {
    float: left;
    position: absolute;
    left: 130px;
}

.total-time {
    float: right;
    position: absolute;
    right: 10px;
}

.current-time, .total-time {
    color: transparent;
    font-size: 11px;
    background-color: #888888; /* 缓冲时 进度和总进度的字体颜色 */
    border-radius: 10px;
    transition: 0.3s ease all;
}

.time.active .current-time, .time.active .total-time {
    color: white; /* 缓冲完毕时 进度和总进度的字体颜色 */
    background-color: transparent;
}


#s-area, #seek-bar {
    position: absolute;
    left: 130px;
    top: 20px;
    width: 170px;
    height: 4px;
    border-radius: 4px;
}

#s-area {
    background-color: #e8f5ff; /*进度条背景颜色*/
    cursor: pointer;
}

#ins-time {
    position: absolute;
    top: -29px;
    color: white; /* 鼠标指进度条时的进度Tip */
    font-size: 12px;
    white-space: pre;
    padding: 5px 6px;
    border-radius: 4px;
    display: none;
}

#s-hover {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    opacity: 0.2;
    z-index: 2;
}

#ins-time, #s-hover {
    background-color: #4b4d5c; /* 鼠标指进度条时的进度Tip */
}

#seek-bar {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 0;
    background-color: rgb(54, 127, 196); /* 进度条前景颜色 */
    transition: 0.2s ease width;
}

#player-content2 {
    position: relative;
    width: 310px;
    height: 70px;
    background: #888888; /* 下方控制面板的颜色 */
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    box-shadow: 0 30px 80px #656565;
}

/* 左侧封面图模块 */
.music-imgs {
    position: absolute;
    top: -40px;
    width: 100px;
    height: 100px;
    left: 10px;
    -webkit-transform: rotateZ(0);
    transform: rotateZ(0);
    transition: 0.3s ease all;
    box-shadow: black 0 0 0 4px; /*black 0 0 0 40px inset;*/
    border-radius: 50%; /* 把方形裁剪成圆形 当做唱片 */
    overflow: hidden;
}
    /* 左侧封面图模块添加了active类名 */
    .music-imgs.active {
        top: -40px;
        box-shadow: 0 0 0 4px black, 0 30px 50px -15px #afb7c1; /*唱片的外圈黑色  #afb7c1是啥阴影*/
    }

    .music-imgs:before {
        content: '';
        position: absolute;
        top: 50%;
        right: 0;
        left: 0;
        width: 20px;
        height: 20px;
        margin: -10px auto 0 auto;
        background-color: #888888; /* 旋转的唱片中间的黑色圆点 */
        border-radius: 50%;
        box-shadow: inset 0 0 0 2px black; /*唱片中间黑色原点的外边框*/
        z-index: 2;
    }
    /* 左侧封面图模块下的 图片div */
    .music-imgs .img {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    /* 封面图模块添加了active类名后，图片div的样式添加 */
    .music-imgs.active .img {
        z-index: 1;
        -webkit-animation: rotateAlbumArt 3s linear 0s infinite forwards;
        animation: rotateAlbumArt 3s linear 0s infinite forwards;
    }

@-webkit-keyframes rotateAlbumArt {
    0% {
        -webkit-transform: rotateZ(0);
        transform: rotateZ(0);
    }

    100% {
        -webkit-transform: rotateZ(360deg);
        transform: rotateZ(360deg);
    }
}

@keyframes rotateAlbumArt {
    0% {
        -webkit-transform: rotateZ(0);
        transform: rotateZ(0);
    }

    100% {
        -webkit-transform: rotateZ(360deg);
        transform: rotateZ(360deg);
    }
}

#buffer-box {
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    height: 13px;
    color: #1f1f1f; /* 缓冲时 缓冲提示字体的颜色 */
    font-size: 13px;
    font-family: Helvetica;
    text-align: center;
    font-weight: bold;
    line-height: 1;
    padding: 6px;
    margin: -12px auto 0 auto;
    background-color: rgba(255, 255, 255, 0.19); /* 缓冲时 缓冲提示文字的背景颜色 */
    opacity: 0;
    z-index: 2;
}

.music-imgs .img, #buffer-box {
    transition: 0.1s linear all;
}

.music-imgs.buffering .img {
    opacity: 0.25;
}

    .music-imgs.buffering .img.active {
        opacity: 0.8;
        filter: blur(2px);
        -webkit-filter: blur(2px);
    }

.music-imgs.buffering #buffer-box {
    opacity: 1;
}

.player-controls {
    position: absolute;
    top: 35px;
    left: 130px;
}

    .player-controls .btn {
        float: left;
        width: 35px;
        height: 35px;
        line-height: 35px;
        font-size: 24px;
        color: white; /* 按钮的前景颜色 */
    }


#player-content3 {
    display: none;
    position: relative;
    width: 310px;
    height: 200px;
    background: #888888; /* 下方控制面板的颜色 */
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    box-shadow: 0 30px 80px #656565;
}

    #player-content3.active {
        display: block;
    }

.AllList_ListPlayerList {
    position: absolute;
    left: 0px;
    width: 310px;
    color: white; /* 序号 颜色 */
    /* 滚动条的参数 */
    height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
    width: 105%;
}

.ol_ListPlayerList {
    position: absolute;
    width: 310px;
}

.playList-Item {
    float: left;
    position: absolute;
    width: 310px;
    height: 20px;
    margin-top: 3px;
    font-size: 15px;
    color: white; /* 歌曲名、歌手名 颜色 */
}

.playListMusicName {
    float: left;
    position: absolute;
    left: 5px;
    width: 180px;
}

.playListArtistName {
    float: right;
    position: absolute;
    right: 5px;
    width: 130px;
    text-align: right;
}
